import { ExpertDocument } from './file';

export type Details = {
    id?: number;
    userId?: number;
    title?: string;
    description?: string;
    document?: ExpertDocument | null;
};

export type Certificate = {
    id?: number;
    userId?: number;
    associationLevelId?: number;
    associationId?: number;
    document?: ExpertDocument | null;
};

export type Experience = {
    id?: number,
    userId?: number,
    title?: string,
    description?: string
};

export type Association = {
    id: number;
    name: string;
};

export type AssociationLevel = Association & { associationId: number };

export type EducationData = {
    certificates?: Certificate[],
    educations?: Details[],
    trainings?: Details[],
    mbas?: Details[],
    experiences?: Experience[]
};

export interface EducationDTO {
    person2Data?: EducationData,
    associations?: Association[],
    associationLevels?: AssociationLevel[]
}
